
From: Jesse Barnes <jbarnes@engr.sgi.com>

Here are some compile fixes for this patch.  Looks like simple typos.  Note 
that the kernel won't boot even with these fixes, I'm debugging that now 
(suspect nodemask related stuff is causing the hang too).

Signed-off-by: Jesse Barnes <jbarnes@sgi.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ia64/mm/discontig.c                |    2 +-
 25-akpm/arch/ia64/sn/kernel/sn2/prominfo_proc.c |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff -puN arch/ia64/mm/discontig.c~replace-numnodes-with-node_online_map-ia64-fix arch/ia64/mm/discontig.c
--- 25/arch/ia64/mm/discontig.c~replace-numnodes-with-node_online_map-ia64-fix	Tue Jan  4 15:33:17 2005
+++ 25-akpm/arch/ia64/mm/discontig.c	Tue Jan  4 15:33:17 2005
@@ -379,7 +379,7 @@ static void __init reserve_pernode_space
 	struct bootmem_data *bdp;
 	int node;
 
-	for_each_online(node) {
+	for_each_online_node(node) {
 		pg_data_t *pdp = mem_data[node].pgdat;
 
 		bdp = pdp->bdata;
diff -puN arch/ia64/sn/kernel/sn2/prominfo_proc.c~replace-numnodes-with-node_online_map-ia64-fix arch/ia64/sn/kernel/sn2/prominfo_proc.c
--- 25/arch/ia64/sn/kernel/sn2/prominfo_proc.c~replace-numnodes-with-node_online_map-ia64-fix	Tue Jan  4 15:33:17 2005
+++ 25-akpm/arch/ia64/sn/kernel/sn2/prominfo_proc.c	Tue Jan  4 15:33:17 2005
@@ -266,7 +266,7 @@ void __exit prominfo_exit(void)
 	char name[NODE_NAME_LEN];
 
 	entp = proc_entries;
-	for (cnodeid) {
+	for_each_online_node(cnodeid) {
 		remove_proc_entry("fit", *entp);
 		remove_proc_entry("version", *entp);
 		sprintf(name, "node%d", cnodeid);
_
